Package org.springframework.security.config.oauth2.client

# Enum Class CommonOAuth2Provider

java.lang.Object
java.lang.Enum<CommonOAuth2Provider>
org.springframework.security.config.oauth2.client.CommonOAuth2Provider

All Implemented Interfaces:
  `Serializable`, `Comparable<CommonOAuth2Provider>`, `Constable`

public enum CommonOAuth2Provider extends Enum<CommonOAuth2Provider>
Common OAuth2 Providers that can be used to create `builders` pre-configured with sensible defaults for the `HttpSecurity.oauth2Login()` flow.

Since:
  5.0

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FACEBOOK`
`GITHUB`
`GOOGLE`
`OKTA`

## Method Summary

Modifier and Type
Method
Description
`abstract org.springframework.security.oauth2.client.registration.ClientRegistration.Builder`
`getBuilder(String registrationId)`
Create a new `ClientRegistration.Builder` pre-configured with provider defaults.
`protected final org.springframework.security.oauth2.client.registration.ClientRegistration.Builder`
`getBuilder(String registrationId, org.springframework.security.oauth2.core.ClientAuthenticationMethod method, String redirectUri)`
`static CommonOAuth2Provider`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CommonOAuth2Provider[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### GOOGLE

public static final CommonOAuth2Provider GOOGLE

### GITHUB

public static final CommonOAuth2Provider GITHUB

### FACEBOOK

public static final CommonOAuth2Provider FACEBOOK

### OKTA

public static final CommonOAuth2Provider OKTA

## Method Details

### values

public static CommonOAuth2Provider[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CommonOAuth2Provider valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### getBuilder

protected final org.springframework.security.oauth2.client.registration.ClientRegistration.Builder getBuilder(String registrationId, org.springframework.security.oauth2.core.ClientAuthenticationMethod method, String redirectUri)

### getBuilder

public abstract org.springframework.security.oauth2.client.registration.ClientRegistration.Builder getBuilder(String registrationId)
Create a new `ClientRegistration.Builder` pre-configured with provider defaults.

Parameters:
  `registrationId` - the registration-id used with the new builder
Returns:
  a builder instance